Subject: Ticket Assigned - Returns
From: Splash <[email-masked]>
To: [email-masked]
Date: Sun, 28 Nov 2021 16:46:32 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Regarding my order 9514738553. The items in the order were received on 23.11.2021 and I had raised request to return 2 items. As per the SMS these should have been collected in 2-5 days. However since I was scheduled to  travel on 29.11.2021,  I called your Customer Service on 26.11.2021 to enquire if I could return the items to one of the stores and I was told that would not be possible and that it is marked as Urgent and the courier will collect from my side in a day or 2. However today is 28.11.2021 and still nobody has bothered to contact me for collection. 

Today again I called your Customer Service and this time I was told that I can return it to any of the stores...is this a joke ? When I asked the same question on 26th I was told No.  And now at the last minue I am expected to run around and return ? 

I am told that my time limit to Return is till 6.12.2021. I shall be returning back in UAE on 5.12.2021 and shall try and Return the items by 6.12.2021, however since the time limit is closeby and the delay is due to the error on part of your courier, kindly give me an extension time to Return till atleast 8.12.2021. Having said that I shall try my best to Return the items by 6.12.2021. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3483501